#ifndef CGROUP_NETLIMIT_H
#define CGROUP_NETLIMIT_H

enum {
	CGROUP_NETLIMIT_TOT,
	CGROUP_NETLIMIT_TCP,
	CGROUP_NETLIMIT_UDP,
	CGROUP_NETLIMIT_RAW,
	/* This sets the size of the different netlimit types */
	CGROUP_NETLIMIT_END,
};

#define CGROUP_NETLIMIT_FILE(_x, _y) \
	{ \
		.name = _x, \
		.read = netlimit_read, \
		.write_u64 = netlimit_write_uint, \
		.private = _y, \
	}

#ifdef CONFIG_CGROUP_NETLIMIT
extern void cgroup_nl_acct(int limit_id, size_t bytes);
extern void cgroup_nl_throttle(int limit_id, int interruptible);
#else
static inline void cgroup_nl_acct(int limit_id, size_t bytes) { }
static inline void cgroup_nl_throttle(int limit_id, int interruptible) { }
#endif /* CONFIG_CGROUP_NETLIMIT */

#endif
